
Application: gvSIG desktop - gvSIG bugs #3236
Field calculator loses the selection
03/03/2015 12:34 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: Vector editing
Target version: 2.3.0-2409  (rev. org.gvsig.desktop-2.0.115)
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2269 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: selection Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the bug:
    -  add a vector layer, start editing and select some features;
    -  open its attribute table, select the header of a field and edit this field with the Field calculator.

Result: the selection is lost.

Related to #3147

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3147: Start and Finish e... Invalid 01/27/2015

Associated revisions
Revision 42454 - 11/04/2015 02:01 PM - Daniel Martinez

refs #3236 When a feature was updated, it was fired an event that updated the whole table. Now fires an event which only updates the updated
feature.

Revision 42456 - 11/06/2015 08:32 AM - Daniel Martinez

refs #3236 Fixed found bug: when the last feature was not updated, then no one was updated.

History
#1 - 03/03/2015 06:41 PM - Álvaro Anguix
- Related to gvSIG bugs #3147: Start and Finish editing lose the selection added

#2 - 03/10/2015 11:44 AM - Álvaro Anguix
- Category changed from Document table to Vector editing

#3 - 04/23/2015 01:39 PM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2

#4 - 04/29/2015 05:18 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2309
- Assignee set to Miguel Company
#5 - 05/05/2015 12:54 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2309 to 2.2.0-2310

#6 - 05/13/2015 03:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2310 to 2.2.0-2311-rc2
- Priority changed from Normal to High

#7 - 05/19/2015 09:46 AM - Miguel Company
- Status changed from New to In progress

#8 - 05/21/2015 10:40 AM - Miguel Company
- Status changed from In progress to New

#9 - 05/21/2015 08:36 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#10 - 06/29/2015 08:38 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 98

#11 - 11/02/2015 09:26 AM - Miguel Company
- Assignee changed from Miguel Company to Daniel Martinez

#12 - 11/06/2015 08:35 AM - Daniel Martinez
- Target version changed from 98 to 2.3.0-2409  (rev. org.gvsig.desktop-2.0.115)
- Status changed from New to Fixed

#13 - 12/21/2015 12:35 PM - Álvaro Anguix
- Status changed from Fixed to Closed
